/*
 * API documentation
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 1.0.0-20181108155220-20181108155343
 * Contact: api.move@axa-assistance.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.insurance.bn.starter.model;

import com.google.gson.annotations.SerializedName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * Information about the travelers: - numbers of different categories of travelers; - composition; - baggage.
 */
@ApiModel(description = "Information about the travelers: - numbers of different categories of travelers; - composition; - baggage.")
@javax.annotation.Generated(value = "io.swagger.codegen.languages.JavaClientCodegen", date = "2018-12-19T23:23:06.995+01:00")
public class Model194 {
  @SerializedName("adults")
  private Integer adults = null;

  @SerializedName("children")
  private Integer children = null;

  @SerializedName("infants")
  private Integer infants = null;

  @SerializedName("oldest_traveler_age")
  private Integer oldestTravelerAge = null;

  @SerializedName("composition")
  private String composition = null;

  @SerializedName("checked_baggage")
  private Integer checkedBaggage = null;

  public Model194 adults(Integer adults) {
    this.adults = adults;
    return this;
  }

   /**
   * Number of adults.
   * @return adults
  **/
  @ApiModelProperty(example = "2", required = true, value = "Number of adults.")
  public Integer getAdults() {
    return adults;
  }

  public void setAdults(Integer adults) {
    this.adults = adults;
  }

  public Model194 children(Integer children) {
    this.children = children;
    return this;
  }

   /**
   * Number of children.
   * @return children
  **/
  @ApiModelProperty(example = "1", required = true, value = "Number of children.")
  public Integer getChildren() {
    return children;
  }

  public void setChildren(Integer children) {
    this.children = children;
  }

  public Model194 infants(Integer infants) {
    this.infants = infants;
    return this;
  }

   /**
   * Number of infants.
   * @return infants
  **/
  @ApiModelProperty(example = "0", required = true, value = "Number of infants.")
  public Integer getInfants() {
    return infants;
  }

  public void setInfants(Integer infants) {
    this.infants = infants;
  }

  public Model194 oldestTravelerAge(Integer oldestTravelerAge) {
    this.oldestTravelerAge = oldestTravelerAge;
    return this;
  }

   /**
   * Age of the oldest traveler.
   * @return oldestTravelerAge
  **/
  @ApiModelProperty(example = "34", value = "Age of the oldest traveler.")
  public Integer getOldestTravelerAge() {
    return oldestTravelerAge;
  }

  public void setOldestTravelerAge(Integer oldestTravelerAge) {
    this.oldestTravelerAge = oldestTravelerAge;
  }

  public Model194 composition(String composition) {
    this.composition = composition;
    return this;
  }

   /**
   * Composition of the travelers. Expected values (SINGLE, COUPLE, FAMILY, GROUP)
   * @return composition
  **/
  @ApiModelProperty(example = "SINGLE", value = "Composition of the travelers. Expected values (SINGLE, COUPLE, FAMILY, GROUP)")
  public String getComposition() {
    return composition;
  }

  public void setComposition(String composition) {
    this.composition = composition;
  }

  public Model194 checkedBaggage(Integer checkedBaggage) {
    this.checkedBaggage = checkedBaggage;
    return this;
  }

   /**
   * Number of checked baggage.
   * @return checkedBaggage
  **/
  @ApiModelProperty(example = "2", value = "Number of checked baggage.")
  public Integer getCheckedBaggage() {
    return checkedBaggage;
  }

  public void setCheckedBaggage(Integer checkedBaggage) {
    this.checkedBaggage = checkedBaggage;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    Model194 model194 = (Model194) o;
    return Objects.equals(this.adults, model194.adults) &&
        Objects.equals(this.children, model194.children) &&
        Objects.equals(this.infants, model194.infants) &&
        Objects.equals(this.oldestTravelerAge, model194.oldestTravelerAge) &&
        Objects.equals(this.composition, model194.composition) &&
        Objects.equals(this.checkedBaggage, model194.checkedBaggage);
  }

  @Override
  public int hashCode() {
    return Objects.hash(adults, children, infants, oldestTravelerAge, composition, checkedBaggage);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class Model194 {\n");
    
    sb.append("    adults: ").append(toIndentedString(adults)).append("\n");
    sb.append("    children: ").append(toIndentedString(children)).append("\n");
    sb.append("    infants: ").append(toIndentedString(infants)).append("\n");
    sb.append("    oldestTravelerAge: ").append(toIndentedString(oldestTravelerAge)).append("\n");
    sb.append("    composition: ").append(toIndentedString(composition)).append("\n");
    sb.append("    checkedBaggage: ").append(toIndentedString(checkedBaggage)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}

